function mean1 = newsol (pp)
[NN,DD]=size(pp);

N1=ceil(NN*(0.5+(1.0-0.5)*rand));
ppnew=zeros(N1,DD);
mean1=zeros(1,DD);
   for i=1:N1
     ppnew(i,:)=pp(i,:);
   end
   
   mean1=mean(ppnew);
endfunction
